const { get, isArray, fromPairs } = require('lodash');

function env(key, otherwise) {
  return get(process.env, key, otherwise);
}

function parseLabelsParam(arr) {
  return isArray(arr) && arr.length
    ? fromPairs(arr.map((l) => l.split(':'))) || {}
    : {};
}

function parseMimeTypesParam(arr) {
  return isArray(arr) ? arr : [];
}

module.exports = {
  env,
  parseLabelsParam,
  parseMimeTypesParam,
};
